#!/bin/sh
# build_adafruit_libs.sh - build CircuitPack packages for Adafruit libraries

if [ "$1" = "" ]; then
    echo "usage: $0 <path_to_unzipped_adafruit_libraries>" >&2
    exit 2
fi

for file_name in $(ls $1/lib); do
    rm -rf board
    mkdir -p board/lib
    package_name=$(basename -s .mpy $file_name)
    cp -r $1/lib/$file_name board/lib/
    python3 cppack.py $package_name board
    rm -r board
done
